Changeset 6516


Ignore:
Timestamp:
Dec 19, 2017, 9:34:43 AM (2 years ago)
Author:
jrpelegrina
Message:

Updated files to new epi performance

Location:
zero-lliurex-adobeair/trunk/WIP_FILES/zero-lliurex-adobeair.install-files/usr/share/zero-lliurex-adobeair
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • zero-lliurex-adobeair/trunk/WIP_FILES/zero-lliurex-adobeair.install-files/usr/share/zero-lliurex-adobeair/adobeair.epi

    r6265 r6516  
    11{
    22        "type":"file",
    3         "name":"adobeair",
    4         "version":{"all":"AdobeAIRInstaller.bin","64b":"","32b":""},
    5         "download_script":false,
    6         "url_download":"http://lliurex.net/recursos-edu/misc/",
    7         "script":{"name":"/usr/share/zero-lliurex-adobeair/adobeair_script", "modes":{"preinstall":true,"install":true,"postinstall":true, "remove":false}},
     3        "pkg_list":[{"name":"adobeair-sdk","version":{"all":"AdobeAIRSDK.tbz2","64b":"","32b":""},"key_store":"zero-lliurex-adobeair","url_download":"http://airdownload.adobe.com/air/lin/download/2.6/"},{"name":"adobe-air","version":{"all":"adobe-air.tar.gz","64b":"","32b":""},"key_store":"zero-lliurex-adobeair","url_download":"https://aur.archlinux.org/cgit/aur.git/snapshot/"}],
     4        "script":{"name":"/home/lliurex/Escritorio/adobeair_script"},
    85        "required_root":true,
    9         "force32":false,
    10         "key_store":"zero-lliurex-adobeair",
    11         "zomando": "zero-lliurex-adobeair",
    12         "required_x":false
     6        "zomando": "zero-lliurex-adobeair"
    137       
    148        }
  • zero-lliurex-adobeair/trunk/WIP_FILES/zero-lliurex-adobeair.install-files/usr/share/zero-lliurex-adobeair/adobeair_script

    r6265 r6516  
    22
    33ACTION="$1"
    4 VERSION="AdobeAIRInstaller.bin"
     4DIRECTORY="/opt/adobe-air-sdk"
     5VERSION="AdobeAIRSDK.tbz2"
     6VERSION2="adobe-air.tar.gz"
    57PACKAGE_NAME="adobeair"
    68APP_PATH="/var/cache/epi-downloads/"
    79LOG_FILE="/tmp/zero-adobeair.log"
     10TMP_LISTA="/tmp/lista_adobeair.txt"
     11PKGS_TO_INSTALL="libgtk2.0-0:i386 libstdc++6:i386 libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386 libqt4-qt3support:i386 libgnome-keyring0:i386 libnss-mdns:i386 libnss3:i386"
    812
    913
    10 uname -m > /tmp/architectur.txt
    11 if [ $(grep "x86_64" /tmp/architectur.txt) ] ; then
    12         ARCH="64"
    13 else
    14         ARCH="32"
    15 fi
    16 
    17 echo "VERSION_OF_MACHINE $ARCH bits"
    1814
    1915case $ACTION in
     
    2117        preInstall)
    2218       
    23                 if [ $ARCH = "64" ] ; then
    24                         echo "Installing required lib..."
     19                ##CREO LISTA DE PAQUETES NECESARIOS
     20                touch $TMP_LISTA || chmod 777 $TMP_LISTA
     21                : > $TMP_LISTA
     22                for i in $PKGS_TO_INSTALL
     23                        do
     24                                echo "$i" >> $TMP_LISTA
     25                        done
     26
     27
     28                CHKBITS=`uname -m`
     29                if [ $CHKBITS = "x86_64" ]; then
     30                    echo ">> Instalando dependencias 32bit..." 
     31                    echo "Installing required lib..."
    2532                        dpkg --add-architecture i386
    26                         echo "libxt6:i386" > /tmp/list64.txt
    27                         echo  "libnspr4-0d:i386"  >> /tmp/list64.txt
    28                         echo "libgtk2.0-0:i386"  >> /tmp/list64.txt
    29                         echo "libstdc++6:i386" >> /tmp/list64.txt
    30                         echo "libnss3-1d:i386" >> /tmp/list64.txt
    31                         echo "libnss-mdns:i386" >> /tmp/list64.txt
    32                         echo "libxml2:i386" >> /tmp/list64.txt
    33                         echo "libxslt1.1:i386"  >> /tmp/list64.txt
    34                         echo "libcanberra-gtk-module:i386" >> /tmp/list64.txt
    35                         echo "gtk2-engines-murrine:i386" >> /tmp/list64.txt
    36 
    37                         for line in $(cat /tmp/list64.txt);do
     33                       
     34                        for line in $(cat $TMP_LISTA);do
    3835                                PACKAGE=$( echo "$line" | awk '1 { print  $1 }' )
    3936                                apt-get install --yes  $PACKAGE
     
    4643                        #Comprobacion de que los paquetes estan instalados sin problemas.
    4744       
    48                         for PACKET in $( cat /tmp/list64.txt | awk '{print$1}' )
     45                        for PACKET in $( cat /$TMP_LISTA | awk '{print$1}' )
    4946                        do
    5047                                PKG_OK=$(dpkg-query -W --showformat='${Status}\n'  $PACKET | grep "install ok installed")
     
    5451                        done
    5552                       
    56                         # Creacion de los enlaces para la instalacion del AdobeAir segun propia pagina web
     53                fi
    5754
    58                         sleep 2
    59                         cd /tmp
    60                         NAME=$(ls /tmp/|egrep '^libgnome-keyring0.*')
    61                         rm /tmp/${NAME}
    62                         apt-get download libgnome-keyring0:i386
    63                         echo "waiting ...20"
    64                         NAME=$(ls /tmp/|egrep '^libgnome-keyring0.*')
    65                         dpkg-deb -R ${NAME} gnome-keyring
    66                         echo "waiting ...40"
    67                         sleep 2
    68                         cp gnome-keyring/usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/i386-linux-gnu/
    69                         cd /
    70                         echo "waiting ...60"
    71                         sleep 1
    72                         [ -e /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 ] && rm -f /usr/lib/i386-linux-gnu/libgnome-keyring.so.0
    73                         ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/i386-linux-gnu/libgnome-keyring.so.0
    74                         echo "waiting ...80"
    75                         sleep 1
    76                         [ -e /usr/lib/libgnome-keyring.so.0 ] && rm -f /usr/lib/libgnome-keyring.so.0
    77                         ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    78                         echo "waiting ...90"
    79                         sleep 1
    80                         [ -e /usr/lib/libgnome-keyring.so.0.2.0 ] && rm -f /usr/lib/libgnome-keyring.so.0.2.0
    81                         ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    82                
    83                 else
    84                         echo "Creating required links..."
    85                         Lso0="FALSE"           
    86                         Lso020="FALSE"
    87                         uname -a | grep -q "x86_64"
    88                         if [ $? -eq 0 ]; then
    89                                 if [ ! -L /usr/lib/libgnome-keyring.so.0 ]; then
    90                                         sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    91                                         Lso0="TRUE"
    92                                 fi
    93                                 if [ ! -L /usr/lib/libgnome-keyring.so.0.2.0 ]; then
    94                                         sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    95                                         Lso020="TRUE"
    96                                 fi     
    97                         else
    98                                 if [ ! -L /usr/lib/libgnome-keyring.so.0 ]; then
    99                                         sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    100                                         Lso0="TRUE"
    101                                 fi
    102                                 if [ ! -L /usr/lib/libgnome-keyring.so.0.2.0 ]; then
    103                                         sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    104                                         Lso020="TRUE"
    105                                 fi
    106                         fi
    107                 fi     
    108 
    109                 exit 0
    110 
     55                echo ">> Enlazando librerías de Gnome..."
     56                ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0 > /dev/null  2>&1 || echo "Did it...."
     57                ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 > /dev/null  2>&1 || echo "Did it...."
     58                       
    11159        ;;
    11260
    11361        install)
    11462               
    115                 chmod +x $APP_PATH$VERSION
     63                if [ -d "$DIRECTORY" ]; then
     64                        rm -rf $DIRECTORY; sleep 2
     65
     66                        if [ -d "$DIRECTORY" ]; then
     67                                zero-center set-non-configured zero-lliurex-adobeair-scratch
     68                                exit 1
     69                        fi
     70                fi     
     71
     72                mkdir $DIRECTORY
     73                tar jxf $APP_PATH$VERSION -C $DIRECTORY
     74                tar xvf $APP$VERSION2 -C $DIRECTORY
     75
     76                chmod +x $DIRECTORY/adobe-air/adobe-air
    11677                                                                                           
    117                 $APP_PATH$VERSION -silent -eulaAccepted -pingbackAllowed
    118                 TEST=$( dpkg-query -s $PACKAGE_NAME 2> /dev/null| grep Status | cut -d " " -f 4 )
    119                 if [ "$TEST" != 'installed' ]; then
    120                         exit 1                 
     78                if ! [ -d "$DIRECTORY" ]; then
     79                        zero-center set-non-configured zero-lliurex-adobeair-scratch
     80                        exit 1
    12181                fi
    122                
    123                 exit 0
     82
     83                zero-center set-non-configured zero-lliurex-adobeair-scratch2   
    12484
    12585        ;;
    12686       
    127         postInstall)
    12887               
    129                 echo "Executing postInstall task"
    130                 if [ $ARCH = "64" ] ; then
    131 
    132                         rm /usr/lib/libgnome-keyring.so.0
    133                         rm /usr/lib/libgnome-keyring.so.0.2.0
    134                 else
    135                         if [ Lso0 ]; then
    136                                 ls /usr/lib/libgnome-keyring*
    137                                 sudo rm -rf /usr/lib/libgnome-keyring.so.0
    138                         fi
    139                         if [ Lso020 ]; then
    140                                 ls /usr/lib/libgnome-keyring*
    141                                 sudo rm -rf /usr/lib/libgnome-keyring.so.0.2.0
    142                         fi
    143                 fi
    144                
    145                 exit 0
    146                
    147         ;;
    148        
    149 esac   
     88esac
     89exit 0 
Note: See TracChangeset for help on using the changeset viewer.